GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
gridfire::utils::ColumnBase Class Referenceabstract

`#include <table_format.h>`

Inheritance diagram for gridfire::utils::ColumnBase:

## Public Member Functions
virtual | ~ColumnBase ()=default
virtual std::string | getCellData (size_t rowIndex) const =0
virtual std::string | getHeader () const =0
virtual size_t | getRowCount () const =0

## Constructor & Destructor Documentation

## ◆ ~ColumnBase()

virtual gridfire::utils::ColumnBase::~ColumnBase | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getCellData()

virtual std::string gridfire::utils::ColumnBase::getCellData | ( | size_t | rowIndex | ) | const
| nodiscard pure virtual

Implemented in gridfire::utils::Column< T >.

## ◆ getHeader()

virtual std::string gridfire::utils::ColumnBase::getHeader | ( |  | ) | const
| nodiscard pure virtual

Implemented in gridfire::utils::Column< T >.

## ◆ getRowCount()

virtual size_t gridfire::utils::ColumnBase::getRowCount | ( |  | ) | const
| nodiscard pure virtual

Implemented in gridfire::utils::Column< T >.

The documentation for this class was generated from the following file:

- src/include/gridfire/utils/table_format.h